"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ApiService = /** @class */ (function () {
    function ApiService() {
        this._headers = [];
        this._method = "GET";
    }
    ApiService.prototype.setHeaders = function (headers) {
        for (var i in headers) {
            if (headers[i].hasOwnProperty('key')
                && headers[i].hasOwnProperty('value')) {
                this._headers.push([
                    headers[i].key,
                    headers[i].value
                ]);
            }
        }
        return this;
    };
    Object.defineProperty(ApiService.prototype, "headers", {
        get: function () {
            return this._headers;
        },
        enumerable: true,
        configurable: true
    });
    ApiService.prototype.resetHeaders = function () {
        this._headers = [];
    };
    ApiService.prototype.get = function (url) {
        var _this = this;
        var response;
        return new Promise(function (resolve, reject) {
            var requestConfig = {
                method: "GET",
                headers: _this._headers
            };
            fetch(url, requestConfig)
                .then(function (res) {
                response = res;
                if (response.status === 200) {
                    return res.json();
                }
                else if (response.status === 304) {
                    return;
                }
                var error = new Error("Server response error");
                reject(error);
            })
                .then(function (body) {
                response.parsedBody = body;
                resolve(response);
            })
                .catch(function (error) {
                reject(error);
            });
        });
    };
    return ApiService;
}());
exports.ApiService = ApiService;
