"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Cache_1 = require("./Cache");
var ConfigBase = /** @class */ (function () {
    function ConfigBase(_sdkKey, _options) {
        this.baseUrl = "https://cdn.floodgate.io";
        this.API_VERSION = "v1";
        if (!_sdkKey)
            throw new Error("Invalid SDK Key");
        if (!_options.cache)
            this.cache = new Cache_1.InMemoryCache();
        if (_options) {
            if (_options.baseUrl) {
                this.baseUrl = _options.baseUrl;
            }
        }
        this.sdkKey = _sdkKey;
    }
    ConfigBase.prototype.buildUrl = function () {
        return this.baseUrl + "/environment-files/" + this.sdkKey + "/" + this.API_VERSION + "/flags-config.json";
    };
    return ConfigBase;
}());
exports.ConfigBase = ConfigBase;
