"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AutoUpdateConfig_1 = require("./AutoUpdateConfig");
var AutoUpdateService_1 = require("./AutoUpdateService");
var Evaluator_1 = require("./Evaluator");
var FloodGateClient = /** @class */ (function () {
    function FloodGateClient(_config) {
        this.config = _config;
        if (_config && _config instanceof AutoUpdateConfig_1.AutoUpdateConfig) {
            this.service = new AutoUpdateService_1.AutoUpdateService(_config);
        }
        // additional services...
        else {
            throw new Error("Invalid service");
        }
    }
    FloodGateClient.prototype.IsOn = function (_key, _defaultValue, callback, _user) {
        this.user = _user;
        this.service.getFlags(function (value) {
            var result = _defaultValue;
            var evaluator = new Evaluator_1.Evaluator();
            result = evaluator.Evaluate(_key, value, _defaultValue, _user);
            // Return flag value to caller
            // true | false
            callback(result);
        });
    };
    FloodGateClient.prototype.GetValue = function (_key, _defaultValue, callback, _user) {
        this.user = _user;
        this.service.getFlags(function (value) {
            var evaluator = new Evaluator_1.Evaluator();
            var result = evaluator.Evaluate(_key, value, _defaultValue, _user);
            // Return flag value to caller
            callback(result);
        });
    };
    return FloodGateClient;
}());
exports.FloodGateClient = FloodGateClient;
